/*!**************************************************************************
\file    bigtest.cpp
\author  Michal Havlicek, Jiri Filip, Radomir Vavra
\date    2017/02/27

Basic command-line interface for BIG data format
	usage:
		bigtest -m [filename] - load data to memory and print info
		bigtest -l [filename] - seek data from HDD and print info
		bigtest -s [listfileTXT] [filename] - create BIG file by loading images specified in listfileTXT

******************************************************************************/

#include "TBIG.h"
#include "lodepng.h"

void
	print_help()
{
	printf(" Help:\n");
	printf(" bigtest -m [filename] - load data to memory\n");
	printf(" bigtest -l [filename] - seek data from HDD\n");
	printf(" bigtest -s [listfileTXT] [filename] - create BIG file by loading images specified in listfileTXT\n");
}//--- printHelp -------------------------------------------

int main(int argc, char * argv[])
{
 if(argc<3) 
 {
	 print_help();
	 return -1;
 }

 TBIG b;

 if(!strcmp(argv[1],"-l")) {
	b.load(argv[2],false,-1);
	if(b.get_message()==0)b.report();
 }

 if(!strcmp(argv[1],"-m")) {
	b.load(argv[2],true,-1);
	if(b.get_message()==0)b.report();
 }

 if(!strcmp(argv[1],"-s"))
 {
	if(argc<4)
	  {
		  print_help();
		  return -1;
		}
	b.saveTXT(argv[3],argv[2]);
	if(b.get_message()==0)b.report();
 }

 return 0;
}//--- main ------------------------------------------------ 

